Bug 118596 - IOError: Not a gzipped file; ValueError: min() or max() arg is an empty sequence
IOError: Not a gzipped file; ValueError: min() or max() arg is an empty sequence
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks: 124619
  Show dependency treegraph
 
Reported: 2004-03-17 19:47 EST by donn deyoung
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 15:15:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description donn deyoung 2004-03-17 19:47:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
Similar to bug #107861, but newer release implicated.

Running up2date as root in background yields this trace:

[root@host207-null donn]# Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1361, in
onChannelsPageNext
    self.pkgList = self.pList.getPackagesToInstall()
  File "/usr/share/rhn/up2date_client/packageList.py", line 521, in
getPackagesToInstall
    result = self.__skipPackages(result)
  File "/usr/share/rhn/up2date_client/packageList.py", line 550, in
__skipPackages
    packageList = self.__skipFiles(packageList)
  File "/usr/share/rhn/up2date_client/packageList.py", line 571, in
__skipFiles
    ignoreMsgCallback = self.ignoreMsgCallback)
  File "/usr/share/rhn/up2date_client/packageList.py", line 610, in
buildHeaderList
    hdr = headerList[pkg]
  File "/usr/share/rhn/up2date_client/headers.py", line 37, in __getitem__
    self.__retrievePackage(item)
  File "/usr/share/rhn/up2date_client/headers.py", line 42, in
__retrievePackage    hdr, sourceType =
rpcServer.doCall(self.repos.getHeader, item)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 112, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 31, in
getHeader
    return self.handlers[channel['type']].getHeader(pkg, msgCallback,
progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 210, in
getHeader
    header = source.getHeader(pkg, progressCallback = progressCallback)
  File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line
96, in getHeader
    hdrBuf = fh.read()
  File "/usr/lib/python2.2/gzip.py", line 156, in read
    self._read(readsize)
  File "/usr/lib/python2.2/gzip.py", line 198, in _read
    self._read_gzip_header()
  File "/usr/lib/python2.2/gzip.py", line 110, in _read_gzip_header
    raise IOError, 'Not a gzipped file'
IOError: Not a gzipped file
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1440, in
onSkippedPagePrepare
    maxlength = max(map(lambda x: len(x[0][0]), self.skipPkgList)) * 8
ValueError: min() or max() arg is an empty sequence
 


Version-Release number of selected component (if applicable):
up2date-4.1.21-3

How reproducible:
Always

Steps to Reproduce:
1.run up2date & in terminal window
2.click 'forward' twice
3.wait for progress dialogs
    

Actual Results:  process hang in process dialog 'fetching rpm headers'

Expected Results:  process should complete acquisition install of RPMs

Additional info:

have been using yum channel at www.kernel.org succesfully.

considered possible rpm database corruption, but Packages database
verifies OK.

date on /usr/bin/up2date is Mar 6 - this may be the first time i have
used this version.
Comment 1 Craig Goodyear 2004-03-19 13:30:58 EST
I was having the same problem.  I changed to a different mirror site
and up2date returned to normal operation.
Comment 2 donn deyoung 2004-03-19 16:45:34 EST
I can confirm Craig's results.  Configuring Sources to use
www.fedora.redhat.com. 

It my coincidential, but after sourcing from fedora.redhat.com, the
update fails on the  coreutils-5.0-34.1 package with a GPG
verification error. This was the same package what was being updated
with the original failure when kernel.org was the source.
 
------------------------------------------ 
[root@host207-null rhn]# up2date -u

Fetching package list for channel: fedora-core-1...

Fetching
http://fedora.redhat.com/releases/fedora-core-1/headers/header.info...
########################################

Fetching package list for channel: updates-released...

Fetching
http://fedora.redhat.com/updates/released/fedora-core-1/headers/header.info...
########################################
#######################################
Fetching Obsoletes list for channel: fedora-core-1...

Fetching Obsoletes list for channel: updates-released...

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------
coreutils                               5.0            34.1          
     i386 
ghostscript                             7.07           15.2          
     i386 
hpijs                                   1.5            4.2           
     i386 
openssl                                 0.9.7a         33.10         
     i686 
openssl-devel                           0.9.7a         33.10         
     i386 
xmms                                    1.2.10         1.p           
     i386 
xmms-skins                              1.2.10         1.p           
     i386 


Testing package set / solving RPM inter-dependencies...
########################################
coreutils-5.0-34.1.i386.rpm The package coreutils-5.0-34.1 does not
have a valid GPG signature.
It has been tampered with or corrupted.  Aborting...

************ GPG VERIFICATION ERROR ****************
The package coreutils-5.0-34.1 failed its gpg signature verification.
This means the package is corrupt.
****************************************************

Comment 3 Richard Ames 2004-03-23 16:35:29 EST
I get this "Not a gzipped file" error (only on some systems) when
using the kernel.org mirror.  When switched back to
download.fedora.redhat it works OK though very slowly.

I have other systems downloading from the kernel.org mirror without
problems --- so I do not believe it is a problem at the mirror.

Possibly timing issues???  The faster mirror is 'too fast'????

How do I turn the traceback on????  So I can give a better report.
Comment 4 Adrian Likins 2004-03-30 17:54:17 EST
probabaly a corrupt package list problem...
rm -rf /var/spool/up2date/fedora* and try again
Comment 5 Richard Ames 2004-04-07 17:10:36 EDT
I deleted the cache previously and it did not fix the problem.

I have been using yum recently which did fix the problem :-)
Comment 6 Matthew Miller 2006-07-11 13:21:06 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 7 John Thacker 2006-10-28 15:15:39 EDT
Closing per lack of response.  Note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  Please install a still supported
version and retest.  If this still occurs on FC3 or FC4 and is a
security issue, please assign to that version and Fedora Legacy.

Note that up2date is not present in FC5 or FC6, the only current non-Legacy
Fedora Core releases.  However, related bugs may occur in yum, pirut, or other
updating mechanisms.

Note You need to log in before you can comment on or make changes to this bug.